[Debian-med-packaging] Bug#1105421: ivar: FTBFS with make --shuffle=reverse: dh_auto_test: error: make -j1 check "TESTSUITEFLAGS=-j1 --verbose" VERBOSE=1 returned exit code 2
Lucas Nussbaum
lucas at debian.org
Tue May 13 20:01:36 BST 2025
Source: ivar
Version: 1.4.4+dfsg-1
Severity: minor
Tags: trixie sid ftbfs
User: lucas at debian.org
Usertags: ftbfs-shuffle
Hi,
GNU Make now has a --shuffle option that simulates non-deterministic ordering
of target prerequisites. See
https://trofi.github.io/posts/238-new-make-shuffle-mode.html and also previous
work in Debian by Santiago Vila:
https://people.debian.org/~sanvila/make-shuffle/
This package fails to build with make --shuffle=reverse.
This is likely to be caused by a missing dependency in
debian/rules or an upstream Makefile.
More information about this mass bug filing is available at
https://wiki.debian.org/qa.debian.org/FTBFS/Shuffle
Relevant part (hopefully):
> make[5]: Entering directory '/build/reproducible-path/ivar-1.4.4+dfsg/tests'
> Makefile:1268: update target 'check_strand_variants.log' due to: target does not exist
> p='check_strand_variants'; \
> b='check_strand_variants'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_strand_variants.log" in */*) am__odir=`echo "./check_strand_variants.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_strand_variants.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_strand_variants
> Makefile:1261: update target 'check_quality_trim_unpaired.log' due to: target does not exist
> p='check_quality_trim_unpaired'; \
> b='check_quality_trim_unpaired'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_quality_trim_unpaired.log" in */*) am__odir=`echo "./check_quality_trim_unpaired.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_quality_trim_unpaired.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_quality_trim_unpaired
> Makefile:1254: update target 'check_consensus_min_insert_threshold.log' due to: target does not exist
> p='check_consensus_min_insert_threshold'; \
> b='check_consensus_min_insert_threshold'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_consensus_min_insert_threshold.log" in */*) am__odir=`echo "./check_consensus_min_insert_threshold.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_consensus_min_insert_threshold.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_consensus_min_insert_threshold
> Makefile:1247: update target 'check_amplicon_search.log' due to: target does not exist
> p='check_amplicon_search'; \
> b='check_amplicon_search'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_amplicon_search.log" in */*) am__odir=`echo "./check_amplicon_search.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_amplicon_search.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_amplicon_search
> Makefile:1240: update target 'check_interval_tree.log' due to: target does not exist
> p='check_interval_tree'; \
> b='check_interval_tree'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_interval_tree.log" in */*) am__odir=`echo "./check_interval_tree.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_interval_tree.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_interval_tree
> Makefile:1233: update target 'check_isize_trim.log' due to: target does not exist
> p='check_isize_trim'; \
> b='check_isize_trim'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_isize_trim.log" in */*) am__odir=`echo "./check_isize_trim.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_isize_trim.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_isize_trim
> Makefile:1226: update target 'check_primer_trim_edge_cases.log' due to: target does not exist
> p='check_primer_trim_edge_cases'; \
> b='check_primer_trim_edge_cases'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_primer_trim_edge_cases.log" in */*) am__odir=`echo "./check_primer_trim_edge_cases.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_primer_trim_edge_cases.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_primer_trim_edge_cases
> Makefile:1219: update target 'check_unpaired_trim.log' due to: target does not exist
> p='check_unpaired_trim'; \
> b='check_unpaired_trim'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_unpaired_trim.log" in */*) am__odir=`echo "./check_unpaired_trim.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_unpaired_trim.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_unpaired_trim
> Makefile:1212: update target 'check_common_variants.log' due to: target does not exist
> p='check_common_variants'; \
> b='check_common_variants'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_common_variants.log" in */*) am__odir=`echo "./check_common_variants.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_common_variants.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_common_variants
> Makefile:1205: update target 'check_variants.log' due to: target does not exist
> p='check_variants'; \
> b='check_variants'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_variants.log" in */*) am__odir=`echo "./check_variants.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_variants.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_variants
> Makefile:1198: update target 'check_removereads.log' due to: target does not exist
> p='check_removereads'; \
> b='check_removereads'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_removereads.log" in */*) am__odir=`echo "./check_removereads.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_removereads.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> FAIL: check_removereads
> Makefile:1191: update target 'check_getmasked.log' due to: target does not exist
> p='check_getmasked'; \
> b='check_getmasked'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_getmasked.log" in */*) am__odir=`echo "./check_getmasked.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_getmasked.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_getmasked
> Makefile:1184: update target 'check_primer_bed.log' due to: target does not exist
> p='check_primer_bed'; \
> b='check_primer_bed'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_primer_bed.log" in */*) am__odir=`echo "./check_primer_bed.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_primer_bed.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_primer_bed
> Makefile:1177: update target 'check_consensus_seq_id.log' due to: target does not exist
> p='check_consensus_seq_id'; \
> b='check_consensus_seq_id'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_consensus_seq_id.log" in */*) am__odir=`echo "./check_consensus_seq_id.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_consensus_seq_id.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_consensus_seq_id
> Makefile:1170: update target 'check_consensus_min_depth.log' due to: target does not exist
> p='check_consensus_min_depth'; \
> b='check_consensus_min_depth'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_consensus_min_depth.log" in */*) am__odir=`echo "./check_consensus_min_depth.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_consensus_min_depth.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_consensus_min_depth
> Makefile:1163: update target 'check_consensus_threshold.log' due to: target does not exist
> p='check_consensus_threshold'; \
> b='check_consensus_threshold'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_consensus_threshold.log" in */*) am__odir=`echo "./check_consensus_threshold.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_consensus_threshold.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_consensus_threshold
> Makefile:1156: update target 'check_allele_depth.log' due to: target does not exist
> p='check_allele_depth'; \
> b='check_allele_depth'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_allele_depth.log" in */*) am__odir=`echo "./check_allele_depth.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_allele_depth.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_allele_depth
> Makefile:1149: update target 'check_consensus.log' due to: target does not exist
> p='check_consensus'; \
> b='check_consensus'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_consensus.log" in */*) am__odir=`echo "./check_consensus.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_consensus.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_consensus
> Makefile:1142: update target 'check_quality_trim.log' due to: target does not exist
> p='check_quality_trim'; \
> b='check_quality_trim'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_quality_trim.log" in */*) am__odir=`echo "./check_quality_trim.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_quality_trim.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_quality_trim
> Makefile:1135: update target 'check_trim.log' due to: target does not exist
> p='check_trim'; \
> b='check_trim'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_trim.log" in */*) am__odir=`echo "./check_trim.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_trim.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_trim
> Makefile:1128: update target 'check_primer_trim.log' due to: target does not exist
> p='check_primer_trim'; \
> b='check_primer_trim'; \
> case $- in *e*) set +e;; esac; srcdirstrip=`echo "." | sed 's|.|.|g'`; case $p in ./*) f=`echo "$p" | sed "s|^$srcdirstrip/||"`;; *) f=$p;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; srcdir=.; export srcdir; case "check_primer_trim.log" in */*) am__odir=`echo "./check_primer_trim.log" | sed 's|/[^/]*$||'`;; *) am__odir=.;; esac; test "x$am__odir" = x"." || test -d "$am__odir" || /usr/bin/mkdir -p "$am__odir" || exit $?; if test -f "./$f"; then dir=./; elif test -f "$f"; then dir=; else dir="./"; fi; tst=$dir$f; log='check_primer_trim.log'; if test -n ''; then am__collect_skipped_logs='--collect-skipped-logs no'; else am__collect_skipped_logs=''; fi; if test -n ''; then am__enable_hard_errors=no; else am__enable_hard_errors=yes; fi; case " " in *[\ \ ]$f[\ \ ]* | *[\ \ ]$dir$f[\ \ ]*) am__expect_failure=yes;; *) am__expect_failure=no;; esac; /bin/bash ../test-driver --test-name "$f" \
> --log-file $b.log --trs-file $b.trs \
> --color-tests "$am__color_tests" $am__collect_skipped_logs --enable-hard-errors "$am__enable_hard_errors" --expect-failure "$am__expect_failure" -- \
> "$tst"
> PASS: check_primer_trim
> Makefile:975: update target 'test-suite.log' due to: target does not exist
> bases='check_primer_trim.log check_trim.log check_quality_trim.log check_consensus.log check_allele_depth.log check_consensus_threshold.log check_consensus_min_depth.log check_consensus_seq_id.log check_primer_bed.log check_getmasked.log check_removereads.log check_variants.log check_common_variants.log check_unpaired_trim.log check_primer_trim_edge_cases.log check_isize_trim.log check_interval_tree.log check_amplicon_search.log check_consensus_min_insert_threshold.log check_quality_trim_unpaired.log check_strand_variants.log'; bases=`for i in $bases; do echo $i; done | sed 's/\.log$//'`; bases=`echo $bases`; \
> am__f_ok () { test -f "$1" && test -r "$1"; }; \
> redo_bases=`for i in $bases; do \
> am__f_ok $i.trs && am__f_ok $i.log || echo $i; \
> done`; \
> if test -n "$redo_bases"; then \
> redo_logs=`for i in $redo_bases; do echo $i.log; done`; \
> redo_results=`for i in $redo_bases; do echo $i.trs; done`; \
> if (target_option=n; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '5'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/reproducible-path/ivar-1.4.4+dfsg/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \ ]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then :; else \
> rm -f $redo_logs && rm -f $redo_results || exit 1; \
> fi; \
> fi; \
> if test -n "$am__remaking_logs"; then \
> echo "fatal: making test-suite.log: possible infinite" \
> "recursion detected" >&2; \
> elif test -n "$redo_logs"; then \
> am__remaking_logs=yes make $redo_logs; \
> fi; \
> if (target_option=n; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '5'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/reproducible-path/ivar-1.4.4+dfsg/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \ ]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs ]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then :; else \
> st=0; \
> errmsg="fatal: making test-suite.log: failed to create"; \
> for i in $redo_bases; do \
> test -f $i.trs && test -r $i.trs \
> || { echo "$errmsg $i.trs" >&2; st=1; }; \
> test -f $i.log && test -r $i.log \
> || { echo "$errmsg $i.log" >&2; st=1; }; \
> done; \
> test $st -eq 0 || exit 1; \
> fi
> case $- in *e*) set +e;; esac; { mgn= red= grn= lgn= blu= brg= std=; am__color_tests=no; if test "X" = Xno; then am__color_tests=no; elif test "X" = Xalways; then am__color_tests=yes; elif test "X$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then am__color_tests=yes; fi; if test $am__color_tests = yes; then red='[0;31m'; grn='[0;32m'; lgn='[1;32m'; blu='[1;34m'; mgn='[0;35m'; brg='[1m'; std='[m'; fi; }; bases='check_primer_trim.log check_trim.log check_quality_trim.log check_consensus.log check_allele_depth.log check_consensus_threshold.log check_consensus_min_depth.log check_consensus_seq_id.log check_primer_bed.log check_getmasked.log check_removereads.log check_variants.log check_common_variants.log check_unpaired_trim.log check_primer_trim_edge_cases.log check_isize_trim.log check_interval_tree.log check_amplicon_search.log check_consensus_min_insert_threshold.log check_quality_trim_unpaired.log check_strand_variants.log'; bases=`for i in $bases; do echo $i; done | sed 's/\.log$//'`; bases=`echo $bases`; \
> ws='[ ]'; \
> results=`for b in $bases; do echo $b.trs; done`; \
> test -n "$results" || results=/dev/null; \
> all=` grep "^$ws*:test-result:" $results | wc -l`; \
> pass=` grep "^$ws*:test-result:$ws*PASS" $results | wc -l`; \
> fail=` grep "^$ws*:test-result:$ws*FAIL" $results | wc -l`; \
> skip=` grep "^$ws*:test-result:$ws*SKIP" $results | wc -l`; \
> xfail=`grep "^$ws*:test-result:$ws*XFAIL" $results | wc -l`; \
> xpass=`grep "^$ws*:test-result:$ws*XPASS" $results | wc -l`; \
> error=`grep "^$ws*:test-result:$ws*ERROR" $results | wc -l`; \
> if test `expr $fail + $xpass + $error` -eq 0; then \
> success=true; \
> else \
> success=false; \
> fi; \
> br='==================='; br=$br$br$br$br; \
> result_count () \
> { \
> if test x"$1" = x"--maybe-color"; then \
> maybe_colorize=yes; \
> elif test x"$1" = x"--no-color"; then \
> maybe_colorize=no; \
> else \
> echo "test-suite.log: invalid 'result_count' usage" >&2; exit 4; \
> fi; \
> shift; \
> desc=$1 count=$2; \
> if test $maybe_colorize = yes && test $count -gt 0; then \
> color_start=$3 color_end=$std; \
> else \
> color_start= color_end=; \
> fi; \
> echo "${color_start}# $desc $count${color_end}"; \
> }; \
> create_testsuite_report () \
> { \
> result_count $1 "TOTAL:" $all "$brg"; \
> result_count $1 "PASS: " $pass "$grn"; \
> result_count $1 "SKIP: " $skip "$blu"; \
> result_count $1 "XFAIL:" $xfail "$lgn"; \
> result_count $1 "FAIL: " $fail "$red"; \
> result_count $1 "XPASS:" $xpass "$red"; \
> result_count $1 "ERROR:" $error "$mgn"; \
> }; \
> output_system_information () \
> { \
> echo; \
> { uname -a | mawk '{ \
> printf "System information (uname -a):"; \
> for (i = 1; i < NF; ++i) \
> { \
> if (i != 2) \
> printf " %s", $i; \
> } \
> printf "\n"; \
> }'; } 2>&1; \
> if test -r /etc/os-release; then \
> echo "Distribution information (/etc/os-release):"; \
> sed 8q /etc/os-release; \
> elif test -r /etc/issue; then \
> echo "Distribution information (/etc/issue):"; \
> cat /etc/issue; \
> fi; \
> }; \
> please_report () \
> { \
> echo "Some test(s) failed. Please report this to gkarthik at scripps.edu,"; \
> echo "together with the test-suite.log file (gzipped) and your system"; \
> echo "information. Thanks."; \
> }; \
> { \
> echo "ivar 1.4.4: tests/test-suite.log" | \
> { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$//;p;g' && echo; }; \
> create_testsuite_report --no-color; \
> output_system_information; \
> echo; \
> echo ".. contents:: :depth: 2"; \
> echo; \
> for b in $bases; do echo $b; done \
> | mawk ' function fatal(msg) { print "fatal: making test-suite.log: " msg | "cat >&2"; exit 1; } function rst_section(header) { print header; len = length(header); for (i = 1; i <= len; i = i + 1) printf "="; printf "\n\n"; } { copy_in_global_log = 1; global_test_result = "RUN"; while ((rc = (getline line < ($0 ".trs"))) != 0) { if (rc < 0) fatal("failed to read from " $0 ".trs"); if (line ~ /^[ ]*:global-test-result:[ ]*/) { sub("^[ ]*:global-test-result:[ ]*", "", line); sub("[ ]*$", "", line); global_test_result = line; } else if (line ~ /^[ ]*:copy-in-global-log:[ ]*[nN][oO]/) copy_in_global_log = 0; }; if (copy_in_global_log) { rst_section(global_test_result ": " $0); while ((rc = (getline line < ($0 ".log"))) != 0) { if (rc < 0) fatal("failed to read from " $0 ".log"); print line; }; printf "\n"; }; close ($0 ".trs"); close ($0 ".log"); }'; \
> } >test-suite.log.tmp || exit 1; \
> mv test-suite.log.tmp test-suite.log; \
> if $success; then \
> col="$grn"; \
> else \
> col="$red"; \
> test x"$VERBOSE" = x || cat test-suite.log; \
> fi; \
> echo "${col}$br${std}"; \
> echo "${col}Testsuite summary"' for ivar 1.4.4'"${std}"; \
> echo "${col}$br${std}"; \
> create_testsuite_report --maybe-color; \
> echo "$col$br$std"; \
> if $success; then :; else \
> echo "${col}See tests/test-suite.log for debugging.${std}";\
> if test -n "gkarthik at scripps.edu"; then \
> please_report | sed -e "s/^/${col}/" -e s/'$'/"${std}"/; \
> fi; \
> echo "$col$br$std"; \
> fi; \
> $success || exit 1
> ======================================
> ivar 1.4.4: tests/test-suite.log
> ======================================
>
> # TOTAL: 21
> # PASS: 20
> # SKIP: 0
> # XFAIL: 0
> # FAIL: 1
> # XPASS: 0
> # ERROR: 0
>
> System information (uname -a): Linux 6.1.0-32-cloud-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.129-1 (2025-03-06) x86_64
> Distribution information (/etc/os-release):
> PRETTY_NAME="Debian GNU/Linux trixie/sid"
> NAME="Debian GNU/Linux"
> VERSION_CODENAME=trixie
> ID=debian
> HOME_URL="https://www.debian.org/"
> SUPPORT_URL="https://www.debian.org/support"
> BUG_REPORT_URL="https://bugs.debian.org/"
>
> .. contents:: :depth: 2
>
> FAIL: check_removereads
> =======================
>
> Found 8 primers in BED file
> Writing to ../data/test.trimmed.masked.bam
> [E::idx_find_and_load] Could not retrieve index file for '../data/test.trimmed.sorted.bam'
> Number of references: 1
> Reference Name: Consensus_ZI-27_threshold_0_quality_20
> Reference Length: 10086
> Using Region: Consensus_ZI-27_threshold_0_quality_20
> Sorted By Coordinate
> Results:
> 0 reads were removed.
> FAIL check_removereads (exit status: 1)
>
> ============================================================================
> Testsuite summary for ivar 1.4.4
> ============================================================================
> # TOTAL: 21
> # PASS: 20
> # SKIP: 0
> # XFAIL: 0
> # FAIL: 1
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See tests/test-suite.log for debugging.
> Some test(s) failed. Please report this to gkarthik at scripps.edu,
> together with the test-suite.log file (gzipped) and your system
> information. Thanks.
> ============================================================================
> make[5]: *** [Makefile:976: test-suite.log] Error 1 shuffle=reverse
> make[5]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/tests'
> make[4]: *** [Makefile:1111: check-TESTS] Error 2 shuffle=reverse
> make[4]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/tests'
> make[3]: *** [Makefile:1323: check-am] Error 2 shuffle=reverse
> make[3]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg/tests'
> make[2]: *** [Makefile:377: check-recursive] Error 1 shuffle=reverse
> make[2]: Leaving directory '/build/reproducible-path/ivar-1.4.4+dfsg'
> dh_auto_test: error: make -j1 check "TESTSUITEFLAGS=-j1 --verbose" VERBOSE=1 returned exit code 2
The full build log is available from:
http://qa-logs.debian.net/2025/05/05/shuffle/reverse/ivar_1.4.4+dfsg-1_unstable_reverse.log
If you reassign this bug to another package, please mark it as 'affects'-ing
this package. See https://www.debian.org/Bugs/server-control#affects
More information about the Debian-med-packaging
mailing list